@echo off
echo setting the POSTouch driver that connect on Fintek F81216D serial port
if "%2" == "" goto Show_help
if "%1" == "3" goto begin
if "%1" == "1" goto begin
if "%1" == "2" goto begin
if "%1" == "4" goto begin

:Show_help
echo.
echo. Command example: F81216D.BAT x n [p1] [p2] [p3]
echo.     x=1-4 (Setting the driver that use Fintek F81216D serial port No.x.)
echo.     n=1-6 (COM1~COM6)
echo.     p1,p2,p3 is optional item for use the special parameter:
echo.		/B    - Force Button Mode
echo.		/S    - Force Stream Mode
echo.		/Mn   - Force Emulation Mode (n is in dec: n=0-3)
echo.		/Tn   - Tone Mode (n is in dec: n=0-3)
goto Error_Break

:begin
F81216IF
if errorlevel 1 goto DONE
@echo Find F81216D device.
call 1216set.bat
del  1216set.bat
echo.

if not "%1" == "3" goto F81216C4
:F81216C3
echo idTouch /%2 /I%F81216C3IRQHEX% /A%F81216C3IO% %3
     idTouch /%2 /I%F81216C3IRQHEX% /A%F81216C3IO% %3
goto F81216Check

if not "%1" == "4" goto F81216C1
:F81216C4
echo idTouch /%2 /I%F81216C4IRQHEX% /A%F81216C4IO% %3
     idTouch /%2 /I%F81216C4IRQHEX% /A%F81216C4IO% %3
goto F81216Check

if not "%1" == "1" goto F81216C2
:F81216C1
echo idTouch /%2 /I%F81216C1IRQHEX% /A%F81216C1IO% %3
     idTouch /%2 /I%F81216C1IRQHEX% /A%F81216C1IO% %3
goto F81216Check

:F81216C2
echo idTouch /%2 /I%F81216C2IRQHEX% /A%F81216C2IO% %3
     idTouch /%2 /I%F81216C2IRQHEX% /A%F81216C2IO% %3

:F81216Check
if errorlevel 1 goto F81216NotFound
goto DONE

:F81216NotFound
echo ###  Error! No find the POSTouch controller in F81216 No.%1 serial port  ###
idTouch /u
goto DONE

:Error_Break
set errorlevel=1

:DONE
@echo on
