@echo off
echo setting the POSTouch driver that connect on Nm9835 serial port
if "%2" == "" goto Show_help
if "%1" == "1" goto begin
if "%1" == "2" goto begin

:Show_help
echo.
echo. Command example: NM9835.BAT x n p
echo.     x=1-2 (Setting the driver that use NetMos Nm9835 PCI serial port No.x.)
echo.     n=1-6 (COM1~COM6)
echo.     p is optional item for use the special parameter:
echo.		/B    - Force Button Mode
echo.		/S    - Force Stream Mode
echo.		/Mn   - Force Emulation Mode (n is in dec: n=0-3)
goto Error_Break

:begin
9835info
if errorlevel 1 goto DONE
@echo Find Nm9835 device.
call 9835set.bat
del  9835set.bat
echo.

if not "%1" == "1" goto NM9835C2
:NM9835C1
echo idTouch /%2 /I%NM9835IRQHEX% /A%NM9835COM1IO% %3
     idTouch /%2 /I%NM9835IRQHEX% /A%NM9835COM1IO% %3
goto NM9835Check

:NM9835C2
echo idTouch /%2 /I%NM9835IRQHEX% /A%NM9835COM2IO% %3
     idTouch /%2 /I%NM9835IRQHEX% /A%NM9835COM2IO% %3

:NM9835Check
if errorlevel 1 goto NM9835NotFound
if not exist IDTOUCH.VPR  CAL3P
goto DONE

:NM9835NotFound
echo ###  Error! No find the POSTouch controller in Nm9835 No.%1 serial port  ###
idTouch /u
goto DONE

:Error_Break
set errorlevel=1
goto DONE

:DONE
@echo on