@echo off
echo setting the POSTouch driver that connect on Winbond W627UHG serial port
if "%1" == "5" goto begin
if "%1" == "6" goto begin
if "%1" == "4" goto begin
if "%1" == "3" goto begin
if "%1" == "2" goto begin
if "%1" == "1" goto begin

:Show_help
echo.
echo. Command example: W627UHG.BAT x n [p1] [p2] [p3]
echo.     x=1-6 (Setting the driver that use Winbond W627UHG serial port No.x.)
echo.     n=1-6 (COM1~COM6)
echo.     p1,p2,p3 is optional item for use the special parameter:
echo.		/B    - Force Button Mode
echo.		/S    - Force Stream Mode
echo.		/Mn   - Force Emulation Mode (n is in dec: n=0-3)
echo.		/Tn   - Tone Mode (n is in dec: n=0-3)
goto Error_Break

:begin
W627UHGI
if errorlevel 1 goto DONE
@echo Find W627UHG device.
call SIOSET.BAT
del  SIOSET.BAT
echo.

:CheckCom5
if not "%1" == "5" goto CheckCom6
echo idTouch /%2 /a%C5IOH% /i%C5IRQH%
     idTouch /%2 /a%C5IOH% /i%C5IRQH%
goto InstallCheck

:CheckCom6
if not "%1" == "6" goto CheckCom4
echo idTouch /%2 /a%C6IOH% /i%C6IRQH%
     idTouch /%2 /a%C6IOH% /i%C6IRQH%
goto InstallCheck

:CheckCom4
if not "%1" == "4" goto CheckCom3
echo idTouch /%2 /a%C4IOH% /i%C4IRQH%
     idTouch /%2 /a%C4IOH% /i%C4IRQH%
goto InstallCheck

:CheckCom3
if not "%1" == "3" goto CheckCom2
echo idTouch /%2 /a%C3IOH% /i%C3IRQH%
     idTouch /%2 /a%C3IOH% /i%C3IRQH%
goto InstallCheck

:CheckCom2
if not "%1" == "1" goto CheckCom1
echo idTouch /%2 /a%C2IOH% /i%C2IRQH%
     idTouch /%2 /a%C2IOH% /i%C2IRQH%
goto InstallCheck

:CheckCom1
echo idTouch /%2 /a%C1IOH% /i%C1IRQH%
     idTouch /%2 /a%C1IOH% /i%C1IRQH%
goto InstallCheck


:InstallCheck
if errorlevel 1 goto DeviceNotFound
goto DONE

:DeviceNotFound
echo ###  Error! No find the POSTouch controller in W627UHG No.%1 serial port  ###
idTouch /u
goto DONE

:Error_Break
set errorlevel=1

:DONE
@echo on
